%global debug_package %{nil}

%ifarch x86_64
%global altarch amd64
%endif
%ifarch %{ix86}
%global altarch 386
%endif
%ifarch %{arm}
%global altarch arm
%endif

Name:		ether-proxy
Version:	0.5.2
Release:	%mkrel 2
Summary:	Ethereum mining proxy with web-interface
License:	MIT
URL:		https://github.com/sammy007/ether-proxy/
Group:		System/Servers
Source0:	https://github.com/sammy007/ether-proxy/archive/v%{version}.zip
Source1:	ether-proxy.service
Source3:	ether-proxy.sysconfig
Source4:	ether-proxy-tmpfiles.conf
#Patch0:		syncthing-0.14.0-version.patch
BuildRequires:	golang
BuildRequires:	git
Requires:	go-ethereum
Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(post):   systemd >= %{systemd_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}
Suggests:	apache-mod_proxy

%description
Ethereum mining proxy with web-interface

%prep
%setup -c -T
export GOPATH=$(pwd)/go
mkdir -p go
go get github.com/ethereum/ethash
go get github.com/ethereum/go-ethereum/common
go get github.com/goji/httpauth
go get github.com/gorilla/mux
go get github.com/yvasiyarov/gorelic

%build
export GOPATH=$(pwd)/go
pushd $GOPATH/src
unzip %{SOURCE0}
cd %{name}-%{version}
go build -o ether-proxy main.go
popd

%install
export GOPATH=$(pwd)/go
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}/etc/sysconfig
%{__install} -p -m 0755 $GOPATH/src/%{name}-%{version}/ether-proxy %{buildroot}%{_bindir}
%{__install} -p -m 0755 $GOPATH/src/%{name}-%{version}/config.example.json  %{buildroot}/etc/ether-proxy.config.json

%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}/www
%{__install} -p -m 0755 $GOPATH/src/%{name}-%{version}/www/* %{buildroot}/%{_datadir}/%{name}/www

%{__mkdir_p} %{buildroot}%{_webappconfdir}
cat > %{buildroot}/%{_webappconfdir}/ether-proxy.conf << EOF
# Ether Proxy Apache configuration

Alias /%{name} %{_datadir}/%{name}/www

<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>

ProxyPass /stats http://localhost:8080/stats
ProxyPassReverse /stats http://localhost:8080/stats
EOF

%{__install} %{SOURCE3} %{buildroot}/etc/sysconfig/%{name}
mkdir -p %{buildroot}%{_unitdir}
%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}
%{__install} -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%clean

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
if ! /usr/bin/id ether-proxy &>/dev/null; then
       /usr/sbin/useradd -r -g daemon -s /bin/false -c "Ether Proxy" -d /var/run/ether-proxy ether-proxy
fi
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%{_bindir}/*
%config (noreplace) /etc/sysconfig/%{name}
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{_webappconfdir}/ether-proxy.conf
/etc/ether-proxy.config.json
%{_datadir}/ether-proxy/www/handlebars-intl.min.js
%{_datadir}/ether-proxy/www/index.html
%{_datadir}/ether-proxy/www/robots.txt
%{_datadir}/ether-proxy/www/script.js
%{_datadir}/ether-proxy/www/style.css


%changelog
* Wed Oct 05 2016 dlucio <dlucio> 0.5.2-2.mga6
+ Revision: 1058951
- file list fixes
- mod_proxy as suggestion
- fix some files location
- add mod_proxy configuration

* Wed Oct 05 2016 dlucio <dlucio> 0.5.2-1.mga6
+ Revision: 1058850
- no dot in summary
- imported package ether-proxy

